Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234830 - Review Request: audacious-show - XChat plugin for audacious
Summary: Review Request: audacious-show - XChat plugin for audacious
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-04-02 14:06 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-25 12:36:20 UTC


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2007-04-02 14:06:08 UTC
Spec URL: http://rpm.greysector.net/extras/audacious-show.spec
SRPM URL: http://rpm.greysector.net/extras/audacious-show-1.2.0-1.src.rpm
Description:
XChat plugin to control audacious and to show whatever you're currently
playing to others.

Comment 1 Xavier Lamien 2007-06-20 03:39:46 UTC
=== REQUIRED ITEMS ===

 [ ? ] Package is named according to the Package Naming Guidelines.
 [ ? ] Spec file name must match the base package %{name}
 [ OK ] Package meets the Packaging Guidelines.
 [ OK ] Package successfully compiles and builds.
 [ Ok ] Mock built on x86_64 (F-7, devel).
 [ Ok ] Package is not relocatable.
 [ Ok ] Buildroot is correct
 [ Ok ] Package is licensed with an open-source compatible license.
 [ OK ] License field in the package spec file matches the actual license.
 [ Ok ] License type: GPL
 [ OK ] License text is included in package.
 [ Ok ] Spec file is legible and written in American English.
 [ OK ] Package is not known to require ExcludeArch
 [ OK ] All build dependencies are listed in BuildRequires
 [ OK ] The spec file handles locales properly.
 [ SKIP ] ldconfig called in %post and %postun if required.
 [ OK ] Package must own all directories that it creates.
 [ OK ] Package requires other packages for directories it uses.
 [ OK ] Package does not contain duplicates in %files.
 [ OK ] Permissions on files are set properly.
 [ OK ] Package has a %clean section.
 [ OK ] Package consistently uses macros.
 [ OK ] Package contains code, or permissable content.
 [ SKIP ] Large documentation files are in a -doc subpackage, if required.
 [ OK ] Package uses nothing in %doc for runtime.
 [ SKIP ] Header files in -devel subpackage, if present.
 [ SKIP ] Static libraries in -devel subpackage, if present.
 [ SKIP ] Package requires pkgconfig, if .pc files are present.
 [ SKIP ] Development .so files in -devel subpackage, if present.
 [ SKIP ] Fully versioned dependency in subpackages, if present.
 [ OK ] Package does not contain any libtool archives (.la).
 [ SKIP ] Package contains a properly installed %{name}.desktop file.
 [ OK ] Package does not own files or directories owned by other packages.
 [ CHECK ] Requires:
hicolor-icon-theme libQtCore.so.4()(64bit) libQtGui.so.4()(64bit)
libQtXml.so.4()(64bit) libX11.so.6()(64bit) libXtst.so.6()(64bit)
libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.4)(64bit)
libgcc_s.so.1()(64bit) libgcc_s.so.1(GCC_3.0)(64bit) libm.so.6()(64bit)
libpthread.so.0()(64bit) libpthread.so.0(GLIBC_2.2.5)(64bit)
libstdc++.so.6()(64bit) libstdc++.so.6(CXXABI_1.3)(64bit)
libstdc++.so.6(GLIBCXX_3.4)(64bit) rtld(GNU_HASH)


== Rpmlint output: ==
 
 [ OK ] Silent on both.


=== some comments ===

* you can easly export and set your variable by one line in spec file as follow:
export CFLAGS="RPM_OPT_FLAGS"

* 'bout package naming.
As this package is a plugin of x-chat, the package name should be renaming to
follow all plugins packages naming.
So your package name should look like this:
x-chat-audacious-show or x-chat-audacious instead of just audacious.

* INSTALL file should be removed from %doc.


Comment 2 Xavier Lamien 2007-06-20 05:08:01 UTC
additional comment for package name:
this could be more apropriate: x-chat-plugins-audacious-show.

Comment 3 Dominik 'Rathann' Mierzejewski 2007-06-25 12:36:20 UTC
On second thought, I'd like to withdraw this. I've browsed the code and this
plugin is not as useful as I had thought before. Thanks for reviewing and sorry
for the trouble.


Note You need to log in before you can comment on or make changes to this bug.